Bug 244368 - Review Request: hulahop - A pygtk widget for embedding mozilla
Review Request: hulahop - A pygtk widget for embedding mozilla
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On: 244374
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 05:54 EDT by Marco Pesenti Gritti
Modified: 2010-06-11 00:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 05:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 05:54:19 EDT
Spec URL: http://dev.laptop.org/~marco/hulahop.spec
SRPM URL: http://dev.laptop.org/~marco/hulahop-0.1-5.git172e5eae5e.1.src.rpm
Description:
The hulalop library contains a widget for embedding mozilla.
It's based on pyxpcom and give access to the whole mozilla
xpcom API through python.
Comment 1 Marco Pesenti Gritti 2007-06-15 06:27:58 EDT
The plan is to add this package to the olpc-2 branch.
Comment 2 Marco Pesenti Gritti 2007-06-20 06:10:11 EDT
Updated to 0.2, fixed rpmlint complaints.

http://dev.laptop.org/~marco/hulahop-0.2-0.1.20070620git6c50d61756.src.rpm
http://dev.laptop.org/~marco/hulahop.spec
Comment 3 John (J5) Palmieri 2007-06-20 14:00:55 EDT
please add a COPYING license file to upstream and add it to the %doc file list.
 Is this really GPL?  Shouldn't it be MPL/GPL or LGPL?
Comment 5 John (J5) Palmieri 2007-06-20 15:02:42 EDT
      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
Ok
      - MUST: The package must be named according to the Package Naming Guidelines.
Ok
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok
      - MUST: The package must meet the Packaging Guidelines.

Ok

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.

Ok (LGPL) 

      - MUST: The License field in the package spec file must match the actual
license.
Ok
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
Ok
      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Ok

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Ok

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Ok

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations)
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No %{_libdir} libraries)
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok(no large docs)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok(No devel)
      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)
      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok
      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok. Included
     
      - SHOULD: The reviewer should test that the package builds in mock.
Can't build as there are dependencies which are not yet built into the repos yet
Comment 6 John (J5) Palmieri 2007-06-20 15:05:07 EDT
I'll let Parag approve.  One note is we should have a comment that states we are
upstream in the spec file.
Comment 7 John (J5) Palmieri 2007-06-20 15:06:08 EDT
woops, setting review back to ?
Comment 8 Parag AN(पराग) 2007-06-20 23:29:57 EDT
johnp,
  Any reason for being so quick without even checking packages properly in review? 
I don't mind if you want to review this package. Feel free to ask me that. But
remember this package depends on Xulrunner and still its not it CVS and it will
need some time to complete its review.
  I prefer to wait till xulrunner is either in CVS or atleast got approved.
Comment 9 John (J5) Palmieri 2007-06-21 14:14:09 EDT
I'm going through a lot of packages, having things lined up so that we get cvs
and approval in a timely manner is appropriate.  This package is relatively
simple and passes all of the checklist on my local machine except of course the
multiarch  one since there is little way I can test that without first being in
CVS.  The mock build is a SHOULD.  In any case the objective is to get clean
packages into Fedora and of the 37 odd packages that we have upgraded, branched
or created we have been doing that.  Plus on this package I left it up to you to
review since you were the first to claim it.  I simply went through the
checklist.  I would rather have others do all of our packages but of course
there is a need to not block on lack of manpower.
Comment 10 Marco Pesenti Gritti 2007-06-23 12:10:22 EDT
I built xulrunner in the OLPC-2 repo. Parag, can you please complete the review?
Comment 11 Parag AN(पराग) 2007-06-25 00:50:59 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
10bfea2ab179113f28d849c7d5ae5aea  hulahop-0.2-gitf91a1b5b94.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries present.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
+ Provides: _hulahop.so
+ No desktop files.

APPROVED.
Comment 12 Marco Pesenti Gritti 2007-06-25 03:31:10 EDT
New Package CVS Request
=======================
Package Name: hulahop
Short Description: A pygtk widget for embedding mozilla
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 13 Kevin Fenzi 2007-06-25 15:09:40 EDT
cvs done.
Comment 14 Parag AN(पराग) 2007-08-16 01:54:06 EDT
is this built in cvs?
Comment 15 Marco Pesenti Gritti 2007-08-16 05:20:06 EDT
Yep it is.
Comment 16 Marco Pesenti Gritti 2008-06-20 10:27:51 EDT
Package Change Request
======================
Package Name: hulahop
New Branches: OLPC-3
Comment 17 Kevin Fenzi 2008-06-20 11:23:20 EDT
cvs done.
Comment 18 Marco Pesenti Gritti 2008-11-03 12:19:23 EST
Package Change Request
======================
Package Name: hulahop
New Branches: F-11
Comment 19 Marco Pesenti Gritti 2008-11-03 13:00:42 EST
Package Change Request
======================
Package Name: hulahop
New Branches: F-10
Comment 20 Dennis Gilmore 2008-11-03 14:03:29 EST
CVS Done
Comment 21 Tomeu Vizoso 2008-11-12 06:26:17 EST
Package Change Request
======================
Package Name: hulahop
New Branches: OLPC-4
Owners: mpg erikos tomeu
Comment 22 Kevin Fenzi 2008-11-12 11:52:53 EST
cvs done.
Comment 23 Peter Robinson 2010-06-10 16:05:41 EDT
Package Change Request
======================
Package Name: hulahop
New Branches: EL-6
Owners: pbrobinson sdz
Comment 24 Kevin Fenzi 2010-06-11 00:27:13 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.